Subject: Linus and whitespace

From: [email-masked]
Date: Mon, 02 Feb 2009 06:36:28 +0800

Gentlemen, I couldn't help but notice a certain Linus B. Torvalds is
producing mail with trailing whitespace.

I recall one should (linux-doc-*/Documentation/CodingStyle*:)
"Get a decent editor and don't leave whitespace at the end of lines."

Indeed, with my GNU Emacs show-trailing-whitespace X-ray
eyespecs on all day, whitespace becomes screaming purple space, so you
can't blame me for noticing.

Anyway, I have analyzed his messages,
(User-Agent: Alpine 2.00 (LFD 1167 2008-08-23))
and discovered that the whitespace phenomenon almost always occurs if
the lines are more than 60 characters long, the "danger zone", we might say.

$ perl -nwle 'print length if / $/' recent_linus_postings|
sort|uniq -c|sort -k 2nr
      1 77
      1 76
     17 75
     17 74
     11 73
     18 72
     12 71
      6 70
      8 69
      6 68
      2 67
      1 66
      2 64
      1 63
      1 40
      9 2